Boost.Sort

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
spreadsort.hpp File Reference
`#include <algorithm>`
`#include <vector>`
`#include <cstring>`
`#include <string>`
`#include <limits>`
`#include <boost/type_traits.hpp>`
`#include <boost/sort/spreadsort/integer_sort.hpp>`
`#include <boost/sort/spreadsort/float_sort.hpp>`
`#include <boost/sort/spreadsort/string_sort.hpp>`

Go to the source code of this file.

## Namespaces
| boost
| boost::sort

## Functions
template<class RandomAccessIter >
boost::enable_if_c< std::numeric_limits< typename std::iterator_traits< RandomAccessIter >::value_type >::is_integer, void >::type | boost::sort::spreadsort (RandomAccessIter first, RandomAccessIter last)
| Generic `spreadsort` variant detecting integer-type elements so call to `integer_sort`. More...
template<class RandomAccessIter >
boost::enable_if_c< !std::numeric_limits< typename std::iterator_traits< RandomAccessIter >::value_type >::is_integer &&std::numeric_limits< typename std::iterator_traits< RandomAccessIter >::value_type >::is_iec559, void >::type | boost::sort::spreadsort (RandomAccessIter first, RandomAccessIter last)
| Generic `spreadsort` variant detecting float element type so call to `float_sort`. More...
template<class RandomAccessIter >
boost::enable_if_c< is_same< typename std::iterator_traits< RandomAccessIter >::value_type, typename std::string >::value||is_same< typename std::iterator_traits< RandomAccessIter >::value_type, typename std::wstring >::value, void >::type | boost::sort::spreadsort (RandomAccessIter first, RandomAccessIter last)
| Generic `spreadsort` variant detecting string element type so call to `string_sort` for `std::strings` and `std::wstrings`. More...